{ config, lib, pkgs, ... }:

with lib;

let cfg = config.features.desktop.design;

in {

  options.features.desktop.design.enable = mkEnableOption "enable design tools";

  config = mkIf cfg.enable {
    home.packages = with pkgs; [
      argyllcms
      cyan
      darktable
      gimp-with-plugins
      gimpPlugins.gmic
      glaxnimate
      gmic
      gmic-qt
      imagemagick
      inkscape
      lcms2
    ];
  };
}
