{ lib, pkgs, inputs, outputs, ... }: {
  imports = [ inputs.home-manager.nixosModules.home-manager ];
  home-manager = {
    useUserPackages = true;
    extraSpecialArgs = { inherit inputs outputs; };
  };
  users.defaultUserShell = pkgs.fish;

  environment.systemPackages =
    [ inputs.agenix.packages.x86_64-linux.default pkgs.coreutils ];
}
